import { UploadOptions, UploadReturn } from "./interface";
/**
 * 上传文件
 */
export default function upload<T>(options: UploadOptions<T>): UploadReturn;
export declare class UploadError extends Error {
    /**
     * http状态码
     */
    status: number;
    /**
     * 请求地址
     */
    url: string;
    /**
     * 构造函数
     * @param msg
     * @param url
     * @param status
     */
    constructor(msg: string, url: string, status: number);
}
